perl-Plack-Middleware-LogErrors

Map psgi.errors to psgix.logger or other logger

'psgi.errors' defaults to 'STDERR' in most backends, which results in content going somewhere unhelpful like the server console. This middleware simply remaps the 'psgi.errors' stream to the 'psgix.logger' stream, or an explicit logger that you provide. This is especially handy when used in combination with other middlewares such as Plack::Middleware::LogWarn (which diverts Perl warnings to 'psgi.errors'); Plack::Middleware::HTTPExceptions (which diverts uncaught exceptions to 'psgi.errors'); and Plack::Middleware::AccessLog, which defaults to 'psgi.errors' when not passed a logger -- which is also automatically applied via plackup (so if you provided no '--access-log' option indicating a filename, 'psgi.errors' is used).

There is no official package available for openSUSE Leap 15.4

Distributions

openSUSE Tumbleweed

openSUSE Leap 15.4

openSUSE Leap 15.3

openSUSE Leap 15.2

SUSE SLE-15-SP2

SUSE SLE-15-SP1

Unsupported distributions

The following distributions are not officially supported. Use these packages at your own risk.